Skip to main content
GET
/
api
/
pools
/
registrations
/
{epoch}
Get pool registrations by epoch
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/pools/registrations/{epoch} \
  --header 'Authorization: Bearer <token>'
{
  "blockNumber": 123,
  "blockTime": 123,
  "txHash": "<string>",
  "certIndex": 123,
  "txIndex": 123,
  "poolId": "<string>",
  "vrfKeyHash": "<string>",
  "pledge": 123,
  "cost": 123,
  "margin": 123,
  "marginNumerator": 123,
  "marginDenominator": 123,
  "rewardAccount": "<string>",
  "poolOwners": [
    "<string>"
  ],
  "relays": [
    {
      "ipv4": "<string>",
      "ipv6": "<string>",
      "dns": "<string>",
      "port": 123
    }
  ],
  "metadataUrl": "<string>",
  "metadataHash": "<string>",
  "epoch": 123,
  "slot": 123,
  "blockHash": "<string>",
  "poolIdBech32": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

epoch
integer<int32>
required

Epoch number

Required range: x >= 0

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD
page
integer<int32>
default:1

Page number (1-based)

Required range: 1 <= x <= 1000
pageSize
integer<int32>
default:100

Number of items per page

Required range: 1 <= x <= 100

Response

Successfully retrieved pool registrations

blockNumber
integer<int64>
blockTime
integer<int64>
txHash
string
certIndex
integer<int32>
txIndex
integer<int32>
poolId
string
vrfKeyHash
string
pledge
integer<int64>
cost
integer<int64>
margin
number
marginNumerator
integer<int64>
marginDenominator
integer<int64>
rewardAccount
string
poolOwners
string[]
relays
object[]
metadataUrl
string
metadataHash
string
epoch
integer<int32>
slot
integer<int64>
blockHash
string
poolIdBech32
string